aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-test-requiresinternet/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2017-03-08 12:48:39 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-03-08 12:49:43 +0000
commit829c29843f96a43e606a3f0f8c758590f97e9469 (patch)
tree7091780e92964f8a7cfd207e96c0da283ed1af1d /main/perl-test-requiresinternet/APKBUILD
parentf32c3853250b076163c1367ab27f3cd9d2766a70 (diff)
downloadaports-829c29843f96a43e606a3f0f8c758590f97e9469.tar.gz
aports-829c29843f96a43e606a3f0f8c758590f97e9469.tar.bz2
aports-829c29843f96a43e606a3f0f8c758590f97e9469.tar.xz
main/perl-test-requiresinternet: new aport
Diffstat (limited to 'main/perl-test-requiresinternet/APKBUILD')
-rw-r--r--main/perl-test-requiresinternet/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/main/perl-test-requiresinternet/APKBUILD b/main/perl-test-requiresinternet/APKBUILD
new file mode 100644
index 0000000000..4919e856f2
--- /dev/null
+++ b/main/perl-test-requiresinternet/APKBUILD
@@ -0,0 +1,48 @@
+# Automatically generated by apkbuild-cpan, template 2
+# Contributor:
+# Maintainer:
+pkgname=perl-test-requiresinternet
+_pkgreal=Test-RequiresInternet
+pkgver=0.05
+pkgrel=0
+pkgdesc="Easily test network connectivity"
+url="http://search.cpan.org/dist/Test-RequiresInternet/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+cpancheckdepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+checkdepends="$cpancheckdepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MA/MALLEN/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+check() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make test
+}
+
+sha512sums="572af3e6fdfb90df3a58ba6eaf571717b294a54fff4b3f597fd177f1eb91fb1c929cb808f8d219f692314a944cf41dc1afab41f5a0dd2185054c08fec69e66c3 Test-RequiresInternet-0.05.tar.gz"